Subject: Re: Circular symlinks in terminfo-5.2-2.tar.bz2
From: Rick Rankin <[email-masked]>
To: Rick Rankin <[email-masked]>, Charles Wilson <[email-masked]>
Cc: [email-masked]
Date: Wed, 15 May 2002 14:02:42 -0700 (PDT)

--- Rick Rankin <[email-masked]> wrote:
> 
> In short, I'm not at all sure how it worked before. I need to look at the
> source for less to understand how it determines that a terminal is "not fully
> functional" and proceed from there.
> 

Well, it seems that the problem is specific to the way Cygwin's distribution of
less was compiled. The Cygwin binary was compiled without ncurses:

$ cygcheck less.exe
Found: .\less.exe
Found: C:\cygwin\bin\less.exe
.\less.exe
  .\cygwin1.dll
    C:\WINNT\System32\KERNEL32.dll
      C:\WINNT\System32\NTDLL.DLL
  .\cygpcre.dll

When I compiled the source *with* ncurses, less worked perfectly with
TERM=nxterm. Is there a reason that the Cygwin binary was compiled without
ncurses (e.g., minimize package dependencies)?

--Rick

__________________________________________________
Do You Yahoo!?
LAUNCH - Your Yahoo! Music Experience
http://launch.yahoo.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/